package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.NonNull;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.halo.assistant.fragment.game.GameNewsSearchResultFragment;

/**
 * Created by khy on 2016/8/22.
 * 新闻搜索界面
 */
@Deprecated
public class NewsSearchActivity extends ToolBarActivity {

    @NonNull
    public static Intent getIntent(Context context, String gameName, String searchKey, String gameId, String entrance) {
        Bundle args = new Bundle();
        args.putString(EntranceConsts.KEY_GAMENAME, gameName);
        args.putString(EntranceConsts.KEY_SEARCHKEY, searchKey);
        args.putString(EntranceConsts.KEY_GAMEID, gameId);
        args.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        return getTargetIntent(context, NewsSearchActivity.class, GameNewsSearchResultFragment.class, args);
    }

}
